#include <iostream>
#include <wx/init.h>
#include <gtest/gtest.h>
#include "../../shared/localization.h"


class InitEnvironment : public testing::Environment
{
public:
    //define how to set up the environment.
    void SetUp() //virtual impl.
    {
        ASSERT_TRUE(initializer.IsOk());
        FreeFileSync::CustomLocale::getInstance().setLanguage(wxLANGUAGE_ENGLISH);
    }
    //tear down the environment.
    void TearDown() {} //virtual impl.

    //wxBase libs initializer: needed for threads
    static wxInitializer initializer;
};

wxInitializer InitEnvironment::initializer;


int main(int argc, char** argv)
{
    std::cout << "Running main() from main.cpp\n";

    testing::InitGoogleTest(&argc, argv);
    testing::AddGlobalTestEnvironment(new InitEnvironment); //ownership transferred => no deletion necessary

    return RUN_ALL_TESTS();
}
